CREATE TABLE fun_seq_rules (
    RULE_ID                  NUMBER            NOT NULL,
    APPLICATION_ID           NUMBER            NOT NULL,
    TABLE_NAME               VARCHAR2(120)     NOT NULL,
    CONTEXT_TYPE             VARCHAR2(120)     NOT NULL,
    EVENT_CODE               VARCHAR2(120)     NOT NULL,
    DATE_TYPE                VARCHAR2(120)     NOT NULL,
    SORT_OPTION_CODE         VARCHAR2(120) ,
    FLEX_CONTEXT_CODE        VARCHAR2(120)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    RULE_ID                  NUMBER            NOT NULL,
    APPLICATION_ID           NUMBER            NOT NULL,
    TABLE_NAME               VARCHAR2(120)     NOT NULL,
    CONTEXT_TYPE             VARCHAR2(120)     NOT NULL,
    EVENT_CODE               VARCHAR2(120)     NOT NULL,
    DATE_TYPE                VARCHAR2(120)     NOT NULL,
    SORT_OPTION_CODE         VARCHAR2(120) ,
    FLEX_CONTEXT_CODE        VARCHAR2(120)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL
);
